%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}/%{name}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_libexecdir}/%{name}/t/data
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Utils\\)

Summary:       Recursively scan Perl code for dependencies
Name:          perl-Module-ScanDeps
Version:       1.35
Release:       4%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Module-ScanDeps
Source0:       https://cpan.metacpan.org/authors/id/R/RS/RSCHUPP/Module-ScanDeps-%{version}.tar.gz

Patch0001:     0001-use-three-argument-open.patch
Patch0002:     0002-replace-eval-.-constructs.patch

BuildRequires: coreutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict) perl(warnings) perl(B) perl(Config) perl(constant)
BuildRequires: perl(Cwd) perl(Data::Dumper) perl(DynaLoader) perl(Encode) perl(Exporter)
BuildRequires: perl(File::Basename) perl(File::Find) perl(File::Path) perl(File::Spec) perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) perl(FileHandle) perl(FindBin) perl(Module::Metadata) perl(vars)
BuildRequires: perl(version) perl(autouse) perl(Carp) perl(if) perl(less)
BuildRequires: perl(lib) perl(Net::FTP) perl(Test::More) perl(Test::Requires) perl(Test::Pod)
BuildRequires: perl(blib) perl(IPC::Run3) perl(AutoLoader)
Requires:      perl(B) perl(DynaLoader)
Requires:      perl(Data::Dumper) perl(Encode) perl(File::Find) perl(FindBin) perl(Text::ParseWords)
Recommends:    perl(Digest::MD5)
Recommends:    perl(Storable) perl(CPANPLUS::Backend)
BuildArch:     noarch

%description
This module scans potential modules used by perl programs and returns a hash reference.  Its keys
are the module names as they appear in %%INC (e.g.  Test/More.pm).  The values are hash references.

%prep
%autosetup -p1 -n Module-ScanDeps-%{version}

for F in `find t -name *.t -o -name *.pl`; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license LICENSE
%doc AUTHORS Changes README
%{_bindir}/scandeps.pl
%{perl_vendorlib}/Module/
%{_mandir}/man1/scandeps.pl.1*
%{_mandir}/man3/Module::ScanDeps.3pm*

%changelog
* Mon Nov 25 2024 Yi Lin <nilusyi@tencent.com> - 1.35-4
- fix CVE-2024-10224

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.35-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.35-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 1.35-1
- Upgrade to version 1.35

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.31-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 Shuo Wang <abushwang@tencent.com> - 1.31-1
- initial build
